Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 208731 - Error compiling x11-misc/xscreensaver-5.04
Summary: Error compiling x11-misc/xscreensaver-5.04
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Samuli Suominen
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-03 11:43 UTC by Ingo Brunberg
Modified: 2008-02-20 19:07 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
compiler output (eerror.txt,13.93 KB, text/plain)
2008-02-03 18:20 UTC, Jan Nárovec
Details
emerge --info (einfo.txt,3.62 KB, text/plain)
2008-02-03 18:21 UTC, Jan Nárovec
Details
Adds the inclusion of <stdint.h> to the correct file so the package will build. (xscreensaver-5.04-stdint.patch,259 bytes, patch)
2008-02-04 23:28 UTC, Randy Barlow
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Brunberg 2008-02-03 11:43:21 UTC
Compilation fails for x11-misc/xscreensaver-5.04 at hacks/glx/lockward.c.

i686-pc-linux-gnu-gcc -pedantic -Wall -Wstrict-prototypes -Wnested-externs -Wmissing-prototypes -std=c89 -U__STRICT_ANSI__ -c -I. -I. -I./../../utils -I./.. -I../..  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/libxml2 -I/usr/include/libglade-2.0   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DSTANDALONE -DUSE_GL -DHAVE_CONFIG_H -march=athlon-xp -O2 -fomit-frame-pointer -U__VEC__ -I/usr/include lockward.c
lockward.c:59: Fehler: expected specifier-qualifier-list before »uint8_t«
lockward.c:60: Warnung: struct hat keine Elemente
lockward.c:71: Fehler: expected specifier-qualifier-list before »uint8_t«
lockward.c:77: Fehler: expected specifier-qualifier-list before »uint32_t«
lockward.c: In Funktion »set_alpha_by_dwell«:
lockward.c:349: Fehler: »struct blinkstate« hat kein Element namens »dwell«
lockward.c:350: Fehler: »struct blinkstate« hat kein Element namens »color«
lockward.c:350: Fehler: »struct blinkstate« hat kein Element namens »dwellcnt«
lockward.c:350: Fehler: »struct blinkstate« hat kein Element namens »dwell«
lockward.c:352: Fehler: »struct blinkstate« hat kein Element namens »color«
lockward.c:352: Fehler: »struct blinkstate« hat kein Element namens »dwellcnt«
lockward.c:352: Fehler: »struct blinkstate« hat kein Element namens »dwell«
lockward.c: In Funktion »draw_blink_radial_random«:
lockward.c:373: Fehler: »struct blinkstate« hat kein Element namens »dwellcnt«
lockward.c:374: Fehler: »struct blinkstate« hat kein Element namens »counter«
lockward.c:385: Fehler: »struct blinkstate« hat kein Element namens »val«
lockward.c:386: Fehler: »struct blinkstate« hat kein Element namens »val«
lockward.c:387: Fehler: »struct blinkstate« hat kein Element namens »direction«
lockward.c:388: Fehler: »struct blinkstate« hat kein Element namens »dwellcnt«
lockward.c:388: Fehler: »struct blinkstate« hat kein Element namens »dwell«
lockward.c:389: Fehler: »struct blinkstate« hat kein Element namens »dwellcnt«
lockward.c:389: Fehler: »struct blinkstate« hat kein Element namens »dwellcnt«
lockward.c:391: Fehler: »struct blinkstate« hat kein Element namens »type«
lockward.c:392: Fehler: »struct blinkstate« hat kein Element namens »type«
...
lockward.c:880: Fehler: »blinkstate« hat kein Element namens »noise«
make[1]: *** [lockward.o] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/x11-misc/xscreensaver-5.04/work/xscreensaver-5.04/hacks/glx'
make: *** [default] Fehler 5
 * 
 * ERROR: x11-misc/xscreensaver-5.04 failed.
 * Call stack:
 *                  ebuild.sh, line 1701:  Called dyn_compile
 *                  ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *                  ebuild.sh, line   44:  Called src_compile
 *   xscreensaver-5.04.ebuild, line   89:  Called die
 * The specific snippet of code:
 *      emake -j1 || die "emake failed."
 *  The die message:
 *   emake failed.
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/x11-misc/xscreensaver-5.04/temp/build.log'.
 * 

emerge --info:
Portage 2.1.3.19 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.22.5 i686)
=================================================================
System uname: 2.6.22.5 i686 AMD Athlon(tm) XP 1600+
Timestamp of tree: Sun, 03 Feb 2008 10:30:01 +0000
app-shells/bash:     3.2_p17-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon-xp -O2 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="de_DE.UTF-8"
LC_ALL="de_DE.UTF-8"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa arts avi berkdb bitmap-fonts bzip2 cairo cdparanoia cdr cli cracklib crypt cups dbus dlloader dri dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox flac fortran gd gdbm gif gpm gstreamer gtk hal iconv ipv6 isdnlog jpeg kde kerberos ldap libg++ logrotate mad midi mikmod mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf pdflib perl png ppds pppd python qt3support qt4 readline reflection session spell spl ssl svg tcpd tiff truetype truetype-fonts type1-fonts udev unicode usb vorbis win32codecs x86 xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2008-02-03 12:53:34 UTC
Please reopen with errors in English; set your locales to C when reporting bugs.
Comment 2 Jan Nárovec 2008-02-03 18:20:52 UTC
Created attachment 142596 [details]
compiler output
Comment 3 Jan Nárovec 2008-02-03 18:21:14 UTC
Created attachment 142597 [details]
emerge --info
Comment 4 Jan Nárovec 2008-02-03 18:39:21 UTC
Adding following line to hacks/glx/lockward.c solves the problem:

#include <stdint.h>
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2008-02-03 18:42:27 UTC
Noone will ever notice again if you don't reopen the bug.
Comment 6 Randy Barlow 2008-02-04 23:28:04 UTC
Created attachment 142686 [details, diff]
Adds the inclusion of <stdint.h> to the correct file so the package will build.

I have implemented the suggested change in this patch and can confirm that the package now builds.  Thanks!
Comment 7 Samuli Suominen gentoo-dev 2008-02-12 14:08:14 UTC
Upstream:

<snip snip>

For lockward.c, I just added

#define int8_t   char
#define int16_t  short
#define int32_t  int
#define uint8_t  unsigned char
#define uint16_t unsigned short
#define uint32_t unsigned int

instead of including some header that will not be available on old  
systems.

</snip snip>
Comment 8 Samuli Suominen gentoo-dev 2008-02-14 13:08:50 UTC
Thanks, should be fixed in 5.04-r1.
Comment 9 Andrew Hurst 2008-02-20 10:36:50 UTC
I think 5.04 should be marked unstable or masked if it doesn't even compile!

Has a request to mark stable 5.04-r1 been put in?
Comment 10 Samuli Suominen gentoo-dev 2008-02-20 19:07:51 UTC
(In reply to comment #9)
> Has a request to mark stable 5.04-r1 been put in?

Bug 210913